#ifndef _JAKAUTUMINEN_HPP_
#define _JAKAUTUMINEN_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class SplitParticle
{
public:
	SplitParticle() {}
	SplitParticle(Vector p, Vector s)
	{
		pos = p;
		spd = s;
	}
	Vector pos;
	Vector spd;
	float randomFactor;
	void draw(float time);
};

class SplitMother
{
public:
	SplitMother() {}
	SplitMother(Vector p, Vector s)
	{
		pos = p;
		spd = s;
	}
	Vector pos;
	Vector spd;
	float randomFactor;
	void draw(float time);
};


class Jakautuminen : public Base
{
	public:

		Jakautuminen();
		~Jakautuminen();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
		void renderScene(float pos, float alpha);

		int particleCount;
		SplitParticle *particles;
		int motherCount;
		SplitMother *mothers;
};

#endif
